Bug 541547 - [abrt] crash detected in subdownloader-2.0.9.3-6.fc12
Summary: [abrt] crash detected in subdownloader-2.0.9.3-6.fc12
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: subdownloader
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Klepek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d7bd72f6
Keywords: Reopened, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-26 09:50 UTC by Nicolas GIRARDIN
Modified: 2011-06-27 14:35 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-06-27 14:35:58 UTC


Attachments (Terms of Use)

Description Nicolas GIRARDIN 2009-11-26 09:50:55 UTC
abrt 1.0.0 detected a crash.

How to reproduce
-----
1.I just oppened sub downloader
2.
3.


cmdline: python /usr/bin/subdownloader 
component: subdownloader
executable: /usr/bin/subdownloader
kernel: 2.6.31.5-127.fc12.x86_64
package: subdownloader-2.0.9.3-6.fc12
uuid: d7bd72f6

Comment 1 Jan Klepek 2009-11-29 10:52:33 UTC
could you please try to open it in command line?
executing "subdownloader" command?

Comment 2 Nicolas GIRARDIN 2009-11-29 12:39:13 UTC
I reinstalled my Fedora, and subdownloader is now working like a charm! :)
I think you could close this bug!

Comment 3 David Kovalsky 2010-09-30 19:27:04 UTC
Reopening for Fedora 13 (Abrt brought me here).

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/subdownloader/gui/main.py", line 927, in onFolderTreeClicked
    self.SearchVideos(folder_path)
  File "/usr/lib/python2.6/site-packages/subdownloader/gui/main.py", line 764, in SearchVideos
    videos_found,subs_found = FileScan.ScanFilesFolders(path,recursively = True,report_progress = self.progress)
  File "/usr/lib/python2.6/site-packages/subdownloader/FileManagement/FileScan.py", line 43, in ScanFilesFolders
    videos_found, subs_found = ScanFolder(path,recursively = True,report_progress=report_progress, progress_end=progress_end)
  File "/usr/lib/python2.6/site-packages/subdownloader/FileManagement/FileScan.py", line 91, in ScanFolder
    report_progress(count,_("Parsing video: %s")% os.path.basename(filepath).decode(sys.getfilesystemencoding()))
  File "/usr/lib64/python2.6/encodings/utf_8.py", line 16, in decode
    return codecs.utf_8_decode(input, errors, True)
UnicodeEncodeError: 'ascii' codec can't encode characters in position 0-5: ordinal not in range(128)    

So still valid. 

I tried to search for a movie with a name in Russian Alphabet (Cyrilic). 
subdownloader-2.0.13-1.fc13.noarch

Comment 4 Aníbal Deboni Neto 2011-01-04 22:03:24 UTC
Package: subdownloader-2.0.13-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Search for a subtitle
2. Click download
3. SubDownload crashes

Comment 5 Fedora Update System 2011-01-08 16:43:53 UTC
subdownloader-2.0.14-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/subdownloader-2.0.14-1.fc14

Comment 6 Fedora Update System 2011-01-08 16:44:13 UTC
subdownloader-2.0.14-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/subdownloader-2.0.14-1.fc13

Comment 7 das 2011-01-19 19:52:12 UTC
Package: subdownloader-2.0.13-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Just running subdownloader
2.
3.

Comment 8 das 2011-01-27 13:12:39 UTC
Package: subdownloader-2.0.13-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Just running subdownloader
2.
3.

Comment 9 Fedora Update System 2011-03-19 10:29:01 UTC
subdownloader-2.0.14-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-03-19 10:32:27 UTC
subdownloader-2.0.14-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Rafael Louback Ferraz 2011-03-21 04:34:05 UTC
Package: subdownloader-2.0.14-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
Just selected a folder for scanning, and the crash happens

Comment
-----
Scanning videos for subtitles not working

Comment 12 jjbengi 2011-05-21 00:50:29 UTC
Package: subdownloader-2.0.14-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Try to download some subtitles
2.Dialog downloading subitles appears
3.crash

Comment 13 Bug Zapper 2011-06-02 17:18:14 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 14 Bug Zapper 2011-06-27 14:35:58 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.